org.eclipse.oomph.predicates.impl

## Class NotPredicateImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.oomph.base.impl.ModelElementImpl
          - - org.eclipse.oomph.predicates.impl.PredicateImpl
            - - org.eclipse.oomph.predicates.impl.NotPredicateImpl

- All Implemented Interfaces:
    Notifier, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, ModelElement, NotPredicate, Predicate

      public class NotPredicateImpl
      extends PredicateImpl
      implements NotPredicate

  An implementation of the model object 'Not Predicate'.

  The following features are implemented:

  - `Operand`
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Predicate` | `operand` The cached value of the '`Operand`' containment reference.

    - ### Fields inherited from class org.eclipse.oomph.base.impl.ModelElementImpl

      `annotations`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `NotPredicateImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NotificationChain` | `basicSetOperand(Predicate newOperand, NotificationChain msgs)`
    `Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
    `NotificationChain` | `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
    `boolean` | `eIsSet(int featureID)`
    `void` | `eSet(int featureID, Object newValue)`
    `protected EClass` | `eStaticClass()`
    `void` | `eUnset(int featureID)`
    `Predicate` | `getOperand()`
    `boolean` | `matches(IResource resource)` /**
    `void` | `setOperand(Predicate newOperand)`

    - ### Methods inherited from class org.eclipse.oomph.predicates.impl.PredicateImpl

      `eInvoke, getPattern`

    - ### Methods inherited from class org.eclipse.oomph.base.impl.ModelElementImpl

      `eInverseAdd, getAnnotation, getAnnotations`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Field Detail

    - #### operand

          protected Predicate operand

      The cached value of the '`Operand`' containment reference.
      See Also:
        `getOperand()`
      Generated
      Ordered

  - ### Constructor Detail

    - #### NotPredicateImpl

          protected NotPredicateImpl()

      Generated

  - ### Method Detail

    - #### eStaticClass

          protected EClass eStaticClass()

      Overrides:
        `eStaticClass` in class `PredicateImpl`
      Generated

    - #### getOperand

          public Predicate getOperand()

      Specified by:
        `getOperand` in interface `NotPredicate`
      Returns:
        the value of the 'Operand' containment reference.
      See Also:
        `NotPredicate.setOperand(Predicate)`, `PredicatesPackage.getNotPredicate_Operand()`
      Generated

    - #### basicSetOperand

          public NotificationChain basicSetOperand(Predicate newOperand,
                                          NotificationChain msgs)

      Generated

    - #### setOperand

          public void setOperand(Predicate newOperand)

      Specified by:
        `setOperand` in interface `NotPredicate`
      Parameters:
        `newOperand` - the new value of the 'Operand' containment reference.
      See Also:
        `NotPredicate.getOperand()`
      Generated

    - #### matches

          public boolean matches(IResource resource)

      /**
      Specified by:
        `matches` in interface `Predicate`
      Specified by:
        `matches` in class `PredicateImpl`
      Generated
        NOT

    - #### eInverseRemove

          public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

      Overrides:
        `eInverseRemove` in class `ModelElementImpl`
      Generated

    - #### eGet

          public Object eGet(int featureID,
                    boolean resolve,
                    boolean coreType)

      Specified by:
        `eGet` in interface `InternalEObject`
      Overrides:
        `eGet` in class `ModelElementImpl`
      Generated

    - #### eSet

          public void eSet(int featureID,
                  Object newValue)

      Specified by:
        `eSet` in interface `InternalEObject`
      Overrides:
        `eSet` in class `ModelElementImpl`
      Generated

    - #### eUnset

          public void eUnset(int featureID)

      Specified by:
        `eUnset` in interface `InternalEObject`
      Overrides:
        `eUnset` in class `ModelElementImpl`
      Generated

    - #### eIsSet

          public boolean eIsSet(int featureID)

      Specified by:
        `eIsSet` in interface `InternalEObject`
      Overrides:
        `eIsSet` in class `ModelElementImpl`
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html